Subject: bug#7918: [PATCH] cc-mode: only the first clause of a for-loop should be checked for declarations

From: Alan Mackenzie <[email-masked]>
Date: Wed, 5 Jul 2017 20:14:38 +0000

Hello, Glenn.

On Wed, Jul 05, 2017 at 11:55:52 -0400, Glenn Morris wrote:

> >> Oh, I was looking at
> >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=7918;msg=32.  So all those
> >> "fake control message" things are just the original control request
> >> getting lost somehow?

> Yes, I think it's basically a debbugs bug.

> > Maybe sending mail to [email-masked] only works the first
> > time around.

> Nope. There's no record of that second mail anywhere AFAICS.

Oh, but there is.  In my qmail log for 2016-05-16 appears the following
entry:

2016-05-16 11:38:16.645 +0000 new msg 4072519
2016-05-16 11:38:16.645 +0000 info msg 4072519: bytes 2479 from <[email-masked]> qp 19336 uid 1000
2016-05-16 11:38:16.719 +0000 starting delivery 73: msg 4072519 to remote [email-masked]
2016-05-16 11:38:16.719 +0000 status: local 0/10 remote 1/20
2016-05-16 11:38:17.974 +0000 delivery 73: success: 193.149.48.3_accepted_message./Remote_host_said:_250_Ok/
2016-05-16 11:38:17.975 +0000 status: local 0/10 remote 0/20
2016-05-16 11:38:17.975 +0000 end msg 4072519

This relates to my second message to [email-masked], which was
clearly received by debbugs, just not acted upon.

Whether it's worth following up in any way is the question.  I'd be
inclined just to let the matter drop, unless the same thing happens again
at some stage.

-- 
Alan Mackenzie (Nuremberg, Germany).